Winnetwk.RESOURCEDISPLAYTYPE (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, class: Winnetwk, class: RESOURCEDISPLAYTYPE

Package com.sun.jna.platform.win32

# Class Winnetwk.RESOURCEDISPLAYTYPE

java.lang.Object
com.sun.jna.platform.win32.Winnetwk.RESOURCEDISPLAYTYPE

Enclosing class:
  Winnetwk

public class Winnetwk.RESOURCEDISPLAYTYPE extends Object
The type of resource. This member can be one of the following values defined in the Winnetwk.h header file. NOTE: This are for the dwScope member of NetResource

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `RESOURCEDISPLAYTYPE_DOMAIN`
  The object should be displayed as a domain.
  `static final int`
  `RESOURCEDISPLAYTYPE_FILE`
  The object should be displayed as a file.
  `static final int`
  `RESOURCEDISPLAYTYPE_GENERIC`
  The method used to display the object does not matter.
  `static final int`
  `RESOURCEDISPLAYTYPE_SERVER`
  The object should be displayed as a server.
  `static final int`
  `RESOURCEDISPLAYTYPE_SHARE`
  The object should be displayed as a share.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RESOURCEDISPLAYTYPE()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### RESOURCEDISPLAYTYPE_GENERIC

    public static final int RESOURCEDISPLAYTYPE_GENERIC
    The method used to display the object does not matter.
    See Also:
      - Constant Field Values

  - ### RESOURCEDISPLAYTYPE_DOMAIN

    public static final int RESOURCEDISPLAYTYPE_DOMAIN
    The object should be displayed as a domain.
    See Also:
      - Constant Field Values

  - ### RESOURCEDISPLAYTYPE_SERVER

    public static final int RESOURCEDISPLAYTYPE_SERVER
    The object should be displayed as a server.
    See Also:
      - Constant Field Values

  - ### RESOURCEDISPLAYTYPE_SHARE

    public static final int RESOURCEDISPLAYTYPE_SHARE
    The object should be displayed as a share.
    See Also:
      - Constant Field Values

  - ### RESOURCEDISPLAYTYPE_FILE

    public static final int RESOURCEDISPLAYTYPE_FILE
    The object should be displayed as a file.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RESOURCEDISPLAYTYPE

    public RESOURCEDISPLAYTYPE()